org.jboss.resteasy.core.registry

## Class RootClassNode

- java.lang.Object
- - org.jboss.resteasy.core.registry.RootClassNode

-     public class RootClassNode
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,ClassExpression>` | `bounded`
    `protected ClassNode` | `root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootClassNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addExpression(String path, ClassExpression ce)`
    `void` | `addInvoker(String classExpression, String fullpath, ResourceInvoker invoker)`
    `Map<String,List<ResourceInvoker>>` | `getBounded()`
    `int` | `getSize()`
    `ResourceInvoker` | `match(HttpRequest request, int start)`
    `void` | `removeBinding(String classExpression, String path, Method method)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### root

          protected ClassNode root

    - #### bounded

          protected Map<String,ClassExpression> bounded

  - ### Constructor Detail

    - #### RootClassNode

          public RootClassNode()

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### getBounded

          public Map<String,List<ResourceInvoker>> getBounded()

    - #### match

          public ResourceInvoker match(HttpRequest request,
                              int start)

    - #### removeBinding

          public void removeBinding(String classExpression,
                           String path,
                           Method method)

    - #### addInvoker

          public void addInvoker(String classExpression,
                        String fullpath,
                        ResourceInvoker invoker)

    - #### addExpression

          protected void addExpression(String path,
                           ClassExpression ce)

Copyright © 2014. All Rights Reserved.